CVE Vulnerabilities

CVE-2017-10081

Published: Aug 08, 2017 | Modified: Jun 27, 2022
CVSS 3.x
4.3
MEDIUM
Source:
NVD
CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:N
CVSS 2.x
4.3 MEDIUM
AV:N/AC:M/Au:N/C:N/I:P/A:N
RedHat/V2
RedHat/V3
4.3 MODERATE
CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:N
Ubuntu

Vulnerability in the Java SE, Java SE Embedded component of Oracle Java SE (subcomponent: Hotspot). Supported versions that are affected are Java SE: 6u151, 7u141 and 8u131; Java SE Embedded: 8u131. Easily exploitable vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE, Java SE Embedded. Successful attacks require human interaction from a person other than the attacker. Successful attacks of this vulnerability can result in unauthorized update, insert or delete access to some of Java SE, Java SE Embedded accessible data. Note: This vulnerability applies to Java deployments, typically in clients running sandboxed Java Web Start applications or sandboxed Java applets, that load and run untrusted code (e.g., code that comes from the internet) and rely on the Java sandbox for security. This vulnerability does not apply to Java deployments, typically in servers, that load and run only trusted code (e.g., code installed by an administrator). CVSS 3.0 Base Score 4.3 (Integrity impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:N).

Affected Software

Name Vendor Start Version End Version
Jdk Oracle 1.8.0 1.8.0
Jdk Oracle 1.7.0 1.7.0
Jdk Oracle 1.6.0 1.6.0
Jre Oracle 1.6.0 1.6.0
Jre Oracle 1.7.0 1.7.0
Jre Oracle 1.8.0 1.8.0
Oracle Java for Red Hat Enterprise Linux 6 RedHat java-1.8.0-oracle-1:1.8.0.141-1jpp.1.el6 *
Oracle Java for Red Hat Enterprise Linux 6 RedHat java-1.7.0-oracle-1:1.7.0.151-1jpp.1.el6 *
Oracle Java for Red Hat Enterprise Linux 6 RedHat java-1.6.0-sun-1:1.6.0.161-1jpp.1.el6 *
Oracle Java for Red Hat Enterprise Linux 7 RedHat java-1.8.0-oracle-1:1.8.0.141-1jpp.1.el7_3 *
Oracle Java for Red Hat Enterprise Linux 7 RedHat java-1.7.0-oracle-1:1.7.0.151-1jpp.1.el7_3 *
Oracle Java for Red Hat Enterprise Linux 7 RedHat java-1.6.0-sun-1:1.6.0.161-1jpp.3.el7_3 *
Red Hat Enterprise Linux 6 RedHat java-1.8.0-openjdk-1:1.8.0.141-2.b16.el6_9 *
Red Hat Enterprise Linux 6 RedHat java-1.7.0-openjdk-1:1.7.0.151-2.6.11.0.el6_9 *
Red Hat Enterprise Linux 7 RedHat java-1.8.0-openjdk-1:1.8.0.141-1.b16.el7_3 *
Red Hat Enterprise Linux 7 RedHat java-1.7.0-openjdk-1:1.7.0.151-2.6.11.1.el7_4 *
Openjdk-6 Ubuntu trusty *
Openjdk-7 Ubuntu trusty *
Openjdk-8 Ubuntu esm-infra/xenial *
Openjdk-8 Ubuntu xenial *
Openjdk-8 Ubuntu yakkety *
Openjdk-8 Ubuntu zesty *
Openjdk-9 Ubuntu xenial *
Openjdk-9 Ubuntu yakkety *
Openjdk-9 Ubuntu zesty *

References